vty-5.16: A simple terminal UI library

Safe Haskell | Safe
Language | Haskell2010

Graphics.Vty.Input.Classify.Types

Description

This module exports the input classification type to avoid import cycles between other modules that need this.

# Documentation

data KClass #

Constructors

Valid Event [Char] | A valid event was parsed. Any unused characters from the input stream are also provided.
Invalid | The input characters did not represent a valid event.
Prefix | The input characters form the prefix of a valid event character sequence.

Instances

Eq KClass # |
Methods (==) :: KClass -> KClass -> Bool # (/=) :: KClass -> KClass -> Bool #
Show KClass # |
Methods showsPrec :: Int -> KClass -> ShowS # show :: KClass -> String # showList :: [KClass] -> ShowS #